#
# spec file for "quartz"
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           quartz
Version:        2.3.0
Release:        2.52.uyuni3
License:        Apache-2.0
Summary:        Quartz is a full-featured, open source job scheduling
Url:            http://www.quartz-scheduler.org
Group:          Development/Libraries/Java
Source0:        quartz-2.3.0.tar.gz
Source1:        build.sh
Patch0:         0001-jdk10-compatibility-fix.patch
Patch1:         0002-add-CORBA-build-dependency.patch
Patch2:         0003-remove-CORBA-dependency.patch
Patch3:         fix-XXE-in-initDocumentParser.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  xz
BuildRequires:  subversion
BuildRequires:  java-devel
BuildRequires:  quartz-kit == 051463d5d44c806dbf5bf2c4ee6402ba7950160e
BuildArch:      noarch
Provides:       mvn(org.quartz-scheduler:quartz) == 2.3.0
Requires:       java

%description
Quartz is a full-featured, open source job scheduling system that can be integrated with, or used along side virtually any J2EE or J2SE

%prep
%setup -q -c -n src
%patch0 -p2
%patch1 -p2
%patch2 -p2
%patch3 -p1
cp -f %{SOURCE1} .
cp -Rf %{_datadir}/tetra ../kit

%build
cd ..
sh src/build.sh

%install
export NO_BRP_CHECK_BYTECODE_VERSION=true
mkdir -p %{buildroot}%{_javadir}
cp -a quartz-quartz-2.3.0/quartz/target/quartz-2.3.0-SNAPSHOT.jar %{buildroot}%{_javadir}/quartz-2.3.0.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} `echo $jar| sed  "s|-%{version}||g"`; done)

%files
%defattr(-,root,root)
%{_javadir}/*

%changelog
* Sun Apr  5 2020 Michael Calmer <mc@suse.com>
- fix XXE in initDocumentParser (CVE-2019-13990, bsc#1143227)
- Add:
  * fix-XXE-in-initDocumentParser.patch
* Wed Dec 12 2018 moio@suse.com
- Fix build for JDK11
- minimize patches, some disabled build items actually work well in JDK11
- Remove:
  * 0001-Disable-checkstyle.patch (checkstyle works in JDK11)
  * 0002-jdk9.patch (only a part of this patch is needed, see below)
- Add:
  * 0001-jdk10-compatibility-fix.patch (generics check is stricter in JDK11)
  * 0002-add-CORBA-build-dependency.patch (part of 0002-jdk9.patch still needed)
  * 0003-remove-CORBA-dependency.patch (CORBA is not present at runtime any more)
* Mon Nov 20 2017 jgonzalez@suse.com
- Fix build for JDK9
- Disable javadoc as it is broken for JDK9
- Add:
  * 0002-jdk9.patch
* Fri Nov 17 2017 mbologna@suse.de
- Version bump for Quartz 2.3.0
- Add:
  * build.sh
* Thu May 19 2016 mc@suse.de
- for oracle subpackage require ojdbc14 again
* Sat Aug 16 2014 mc@suse.com
- require ojdbc5
* Wed Jul  2 2014 mseidl@suse.de
- modified to build on sle12
* Wed Sep 25 2013 mc@suse.de
- Require slf4j instead of stripped down version spacewalk-slf4j
* Tue Dec 21 2010 kkaempf@novell.com
- Add 'BuildRequires: unzip'
* Thu Dec  9 2010 mc@suse.de
- initial release
